﻿@model  Select2SistemasViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">
            <input id="@Model.idControleInput" type="text" class="form-control numeric" maximo="8">
        </div>
    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5")">
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}
else
{
    <div class="campos-group">
        @if (Model.viewCode)
        {
            <input id="@Model.idControleInput" type="text" class="ctrl-filtro numerico" maximo="5" placeholder="Pesquisar Código..."/>
            <i class="material-icons">more_vert</i>
        }
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2Sistemas/ObterDescricoesSistemas")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMSIS";
                textoInicial = "Selecione um Sistema";
                jsonTexto = "NOMSIS";
                jsonValor = "CODEMPAUT";
                caracteresMinimos = 0;

            }
            inicializar(null);
        }

    });

</script>